/**
 * Get CDN list.
 *
 * Raw response:
 * ```
 * {
 *   code: 200,
 *   data: [...]
 * }
 * ```
 */
exports.cdns = async function() {
  const res = await this.request('/weapi/cdns', {})
  return this.raw ? res : res.data
}
