const test = require('ava')
const { client, rawClient } = require('../clients')

test('artistAlbums', async t => {
  const data = await client.artistAlbums(6452)
  t.true(Array.isArray(data))
})

test('artistAlbums-raw', async t => {
  const data = await rawClient.artistAlbums(6452)
  t.is(data.code, 200)
  t.true(typeof data.more === 'boolean')
  t.true(typeof data.artist === 'object')
  t.true(Array.isArray(data.hotAlbums))
})
