const test = require('ava')
const { client, rawClient } = require('../clients')

test('listArtists', async t => {
  const data = await client.listArtists({ categoryCode: 5001 })
  t.true(Array.isArray(data))
})

test('listArtists-raw', async t => {
  const data = await rawClient.listArtists({ categoryCode: 5001 })
  t.is(data.code, 200)
  t.true(typeof data.more === 'boolean')
  t.true(Array.isArray(data.artists))
})
