const test = require('ava')
const { client, rawClient } = require('../clients')

test('topArtists', async t => {
  const data = await client.topArtists()
  t.true(Array.isArray(data))
})

test('topArtists-raw', async t => {
  const data = await rawClient.topArtists()
  t.is(data.code, 200)
  t.true(typeof data.more === 'boolean')
  t.true(Array.isArray(data.artists))
})
