const test = require('ava')
const { client, rawClient } = require('../clients')

test('playlistCatalogs', async t => {
  const data = await client.playlistCatalogs()
  t.true(typeof data.all === 'object')
  t.true(Array.isArray(data.sub))
  t.true(typeof data.categories === 'object')
})

test('playlistCatalogs-raw', async t => {
  const data = await rawClient.playlistCatalogs()
  t.is(data.code, 200)
  t.true(typeof data.all === 'object')
  t.true(Array.isArray(data.sub))
  t.true(typeof data.categories === 'object')
})
