const test = require('ava')
const { client, rawClient } = require('../clients')

test('playlistHotTags', async t => {
  const data = await client.songUrl(28496071)
  t.true(typeof data === 'string')
})

test('playlistHotTags-raw', async t => {
  const data = await rawClient.songUrl(28496071)
  t.is(data.code, 200)
  t.true(Array.isArray(data.data))
})
