/**
 * Playlist hot tags.
 *
 * Raw response:
 * ```
 * {
 *   code: 200,
 *   tags: [{...}, ...]
 * }
 * ```
 */
exports.playlistHotTags = async function() {
  const res = await this.request('/api/playlist/hottags', {})
  return this.raw ? res : res.tags
}
