/**
 * Get song url.
 *
 * Raw response:
 * ```
 * {
 *   code: 200,
 *   data: [{...}]
 * }
 * ```
 */
exports.songUrl = async function(id) {
  const data = {
    ids: [id],
    br: 320000
  }
  const res = await this.request('/weapi/song/enhance/player/url', data)
  return this.raw ? res : res.data[0].url
}
