const test = require('ava')
const { client, rawClient } = require('../clients')

test('artistDesc', async t => {
  const data = await client.artistDesc(6452)
  t.true(typeof data.briefDesc === 'string')
  t.true('introduction' in data)
  t.true('topicData' in data)
})

test('artistDesc-raw', async t => {
  const data = await rawClient.artistDesc(6452)
  t.is(data.code, 200)
  t.true(typeof data.count === 'number')
  t.true(typeof data.briefDesc === 'string')
  t.true('introduction' in data)
  t.true('topicData' in data)
})
