const test = require('ava')
const { client, rawClient } = require('../clients')

test('cdns', async t => {
  const data = await client.cdns()
  t.true(Array.isArray(data))
})

test('cdns-raw', async t => {
  const data = await rawClient.cdns()
  t.is(data.code, 200)
  t.true(Array.isArray(data.data))
})
