const test = require('ava')
const { client, rawClient } = require('../clients')

test('playlistHotTags', async t => {
  const data = await client.playlistHotTags()
  t.true(Array.isArray(data))
})

test('playlistHotTags-raw', async t => {
  const data = await rawClient.playlistHotTags()
  t.is(data.code, 200)
  t.true(Array.isArray(data.tags))
})
