const test = require('ava')
const { client, rawClient } = require('../clients')

test('playlistHotTags', async t => {
  const data = await client.songDetail(28496071)
  t.true(Array.isArray(data.songs))
  t.true(Array.isArray(data.privileges))
})

test('playlistHotTags-raw', async t => {
  const data = await rawClient.songDetail(28496071)
  t.is(data.code, 200)
  t.true(Array.isArray(data.songs))
  t.true(Array.isArray(data.privileges))
})
